package getWay

type State int16

// iota 初始化后会自动递增
const (
	BusinessError State = 1001
	OK            State = 1000
	Illegal1      State = 1 - iota
	Illegal2
	Illegal3
	Illegal4
	Illegal5
	Illegal6
	Illegal7
	Illegal8
	Illegal9
)

func (t State) String() string {
	switch t {
	case BusinessError:
		return "business error"
	case OK:
		return "OK"
	case Illegal1:
		return "illegal request(1)"
	case Illegal2:
		return "illegal request(2)"
	case Illegal3:
		return "illegal request(3)"
	case Illegal4:
		return "illegal request(4)"
	case Illegal5:
		return "illegal request(5)"
	case Illegal6:
		return "illegal request(6)"
	case Illegal7:
		return "illegal request(7)"
	case Illegal8:
		return "illegal request(8)"
	case Illegal9:
		return "illegal request(9)"
	default:
		return "unknown"
	}
}
