package main

import (
	"git.168cad.top/zhengqiuyun/rym-util/conf"
	"git.168cad.top/zhengqiuyun/rym-util/es"
	"git.168cad.top/zhengqiuyun/rym-util/mysqlrym"
	"git.168cad.top/zhengqiuyun/rym-util/redis"
	"git.168cad.top/zhengqiuyun/rym-util/router"
)

func main() {
	conf.BaseConfig(conf.Config{
		ServerName: "rym-framework",
		Env:        "dev",
		HttpPort:   1024,
	})
	mysqlrym.TestLog()
	es.TestLog()
	redis.TestLog()
	c := router.InitGinEngine(true)
	router.Run(c)
}
